Skip to main content
Operations Management/Tenant Management (Plus)/Organization Operations
POSTOrganization OperationsSince 3.6.0SynchronousAuth Required

AttachIAM2ProjectToIAM2Organization

AttachIAM2ProjectToIAM2Organization

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Path Parameters

Request Inputs

Path Parameters

  • projectUuidStringRequired

    The project UUID.

  • organizationUuidStringRequired

    The organization UUID.

Body Fields

  • systemTagsList

    Optional. The system tags.

  • userTagsList

    Optional. The user tags.

Responses

200 OK

On success, this API returns the following response structure.

  • successbooleanRequired

    操作是否成功。

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventoryIAM2ProjectInventoryRequired

    See inventory.

    • uuidStringRequired

      The resource UUID.

    • nameStringRequired

      The resource name.

    • descriptionStringRequired

      The detailed description of the resource.

    • createDateTimestampRequired

      The creation date.

    • lastOpDateTimestampRequired

      The last operation date.

    • linkedAccountUuidStringRequired

      关联账户UUID。

    • stateProjectStateRequired

      See state.

      • nameStringRequired

        The resource name.

      • ordinalintRequired

        No description provided.

    • attributesListRequired

      See attributes.

      • uuidStringRequired

        The resource UUID.

      • nameStringRequired

        The resource name.

      • valueStringRequired

        字段值。

      • typeAttributeTypeRequired

        See type.

        • nameStringRequired

          The resource name.

        • ordinalintRequired

          No description provided.

Endpoint

POST/zstack/v1/iam2/projects/{projectUuid}/iam2/organizations/{organizationUuid}

/zstack/v1/iam2/projects/{projectUuid}/iam2/organizations/{organizationUuid}

Operation ID

AttachIAM2ProjectToIAM2Organization

Permalink

Request Example

curl -X POST 'http://{host}/zstack/v1/iam2/projects/{projectUuid}/iam2/organizations/{organizationUuid}' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'

Response Example

200
{ "inventory": { "uuid": "262a60f99c5a49e8866ed9f92ef550e2", "name": "project", "state": "Enabled" } }

Change History

This API has no change history records yet.

View all change history